! ===========================================================================================================
! module ncbiot_arrays.f90
!
! -----------------------------------------------------------------------------------------------------------
!
! Revision history
! date     who    what
! 20170712 all    Release of qcplus v1.1 -   mmany changes to all, some documented/tracked, some not
! 20160511 all    Initial release of qcplus v1.1.0
!
! ===========================================================================================================
! Notes:

! This module contains variable/array definitions used by write_ncbiot to create the nc Bio-ARGO trajectory file.
! ===========================================================================================================

module ncbiot_arrays

use communication                                                ! module
use data_arrays                                                  ! module
use netcdf_arrays                                                ! module

implicit none

! ===========================================================================================================
! moedule varialbe/array declarations
! ===========================================================================================================

contains

! ===========================================================================================================
! module functions/subroutines
! ===========================================================================================================

subroutine def_ncbiot_vars(caller,nctype,ncid);

    character(*), intent( in ) :: caller        ! who is calling me?
    character(*), intent( in ) :: nctype        ! prof/traj/tech
    integer,      intent( in ) :: ncid          ! file id

    integer :: iret
    integer :: ret = 0;
    integer :: loc = 1;

    character(len=18), parameter :: sub = 'def_ncbiot_vars';

    write(msg,*)'NCBIOT def ncbiot vars - NOT YET FUNCTIONAL'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT def PROJECT_NAME for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT def PI_NAME for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT def TRAJECTORY_PARAMETERS for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT def DATA_CENTRE for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT def DATA_STATE_INDICATOR for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT def FLOAT_SERIAL_NO for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT def FIRMWARE_VERSION for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT def WMO_INST_TYPE for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT def POSITIONING_SYSTEM for biot' ; call wrtlog(sub,msg);

    return;

end subroutine def_ncbiot_vars


  !========================================================================================
  !
subroutine put_ncbiot_data(caller,nctype,ncid);

    character(*), intent( in ) :: caller        ! who is calling me?
    character(*), intent( in ) :: nctype        ! prof/traj/tech
    integer,      intent( in ) :: ncid          ! file id

    integer :: iret
    integer :: ret = 0;
    integer :: loc = 1;

    character(len=15), parameter :: sub = 'put_ncbiot_data';

    write(msg,*)'NCBIOT put ncbiot data - NOT YET FUNCTIONAL(on hold)'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT put PROJECT_NAME for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT put PI_NAME for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT put TRAJECTORY_PARAMETERS for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT put DATA_CENTRE for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT put DATA_STATE_INDICATOR for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT put FLOAT_SERIAL_NO for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT put FIRMWARE_VERSION for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT put WMO_INST_TYPE for biot'; call wrtlog(sub,msg);
    write(msg,*)'NCBIOT put POSITIONING_SYSTEM for biot'; call wrtlog(sub,msg);

    return;

end subroutine put_ncbiot_data

! ===========================================================================================================
end module ncbiot_arrays
! ===========================================================================================================
